#TODO "beta",-,catenin

import leveldb
from pubmed_parser import parse_article

from nltk.tokenize import wordpunct_tokenize
from nltk.corpus import stopwords

import csv
import sys 

#should be one of 'db  db2  db3  db4  db5  db-cit  db-cit-zal  db-new'
db_name = sys.argv[1]
db = leveldb.LevelDB("/datastore/pubmed/" + db_name)
it = db.RangeIter(fill_cache=False)

corpus = csv.writer(open("corpus/" + db_name + ".csv", "w"))

cc = 0
for k, v in it:
  data = parse_article(v)
  abstract = data[1]
  
  tokens = [x.lower() for x in wordpunct_tokenize(abstract)]
  
  corpus.writerow([x.encode("utf8") for x in tokens]) 
  
  cc += 1
  
  if cc % 10000 == 0:
    print cc



