#! /bin/bash 
# prepare data for plotting 

awk 'BEGIN{FS=","}{print $2}' sum_citations.csv | sort -nr > data/citation_counts.dat
awk '{print $1}' log/buckets1391179160.dat | sort -nr > data/bucket_sizes.dat
awk '{print $2}' log/buckets1391179160.dat | sort -nr > data/bucket_avg_cos_dists.dat
less log/dist_1391181174.dat | awk '{if(NR % 100000 == 1) print $0}' > data/to_compare.dat
less log/dist_1391181174.dat | awk '{if(NR > 1000000 || (NR <= 1000000 && NR % 100 == 1)) print $0}' > data/distances.dat
less log/compare_panko.dat | awk '{if($2 != 100) print $1, $2}' > data/compare.dat
awk '{a[$2] += $1; b[$2]++}END{for(i=2;i<10;i++) print i,a[i]/b[i]}' data/compare.dat> data/avg_compare.dat