import csv
import sys 

db_name = sys.argv[1] 

corpus = csv.reader(open("corpus/"+db_name+".csv", "r"))
word_freq = csv.writer(open("frequency/word_"+db_name+".csv", "w"))
doc_freq = csv.writer(open("frequency/doc_"+db_name+".csv", "w"))

word_counts = {}
wc = 0 

doc_counts = {} 
dc = 0 

for document in corpus: 
  for word in document:
    if word not in word_counts:
      word_counts[word] = 1
    else: 
      word_counts[word] += 1
    wc += 1

  for word in set(document): 
    if word not in doc_counts:
      doc_counts[word] = 1
    else: 
      doc_counts[word] += 1
    
  dc += 1
  if dc % 10000 == 0:
    print dc
  
print "WordCounts(",wc,"):" 
word_counts_list = [[float(v)/float(wc),k] for k,v in word_counts.iteritems()]
word_counts_list.sort(reverse=True) 

for l in word_counts_list:
  word_freq.writerow(l)
  
print word_counts_list[0:20] 

print "DocCounts(",dc,"):" 
doc_counts_list = [[float(v)/float(dc),k] for k,v in doc_counts.iteritems()]
doc_counts_list.sort(reverse=True) 

for l in doc_counts_list:
  doc_freq.writerow(l)
  
print doc_counts_list[0:20] 